import { HistoryEditor } from 'slate-history/dist/history-editor';
import { ReactEditor } from 'slate-react';
import { SlatePluginsState, State } from '../types/SlatePluginsStore';
import { SPEditor } from '../types/SPEditor';
import { TEditor } from '../types/TEditor';
/**
 * If id is defined, get the state by id.
 * Else, get the first state.
 */
export declare const getState: (state: SlatePluginsState, id?: string | null | undefined) => State | undefined;
export declare const useStoreState: (id?: string | null | undefined) => State | undefined;
/**
 * Slate editor with generic type (default is `ReactEditor & HistoryEditor & RandomKeyEditor`).
 */
export declare const useStoreEditor: <T extends TEditor<{}> | undefined = ReactEditor & HistoryEditor>(id?: string | null | undefined) => (T & SPEditor) | undefined;
export declare const useStoreEditorEnabled: (id?: string | null | undefined) => boolean | undefined;
export declare const useStoreEditorValue: (id?: string | null | undefined) => any[] | undefined;
export declare const useStoreSlatePlugins: (id?: string | null | undefined) => import("..").SlatePlugin[] | undefined;
export declare const useStoreSlatePluginKeys: (id?: string | null | undefined) => string[] | undefined;
export declare const useStoreEditorOptions: (id?: string | null | undefined) => import("..").SlatePluginsOptions | undefined;
//# sourceMappingURL=useSlatePluginsSelectors.d.ts.map