import { RenderNodeOptions } from '../types/SlatePluginOptions/RenderNodeOptions';
import { TRenderLeafProps } from '../types/TRenderLeafProps';
/**
 * Get a `Editable.renderLeaf` handler for `options.type`.
 * If the type is equals to the slate leaf type and if the text is not empty, render `options.component`.
 * Else, return `children`.
 */
export declare const getEditableRenderLeaf: ({ type, component: Leaf, getNodeProps, }: RenderNodeOptions) => ({ children, leaf, text, attributes, }: TRenderLeafProps) => any;
//# sourceMappingURL=getEditableRenderLeaf.d.ts.map